#
# spec file for package zsdx
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2018-2021 The Packman Team.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           zsdx
Version:        1.12.3
Release:        1699.1.pm.86
Summary:        Zelda Mystery of Solarus DX
License:        GPL-3.0-only AND CC-BY-SA-4.0 AND NonFree
Group:          Amusements/Games/RPG
URL:            http://www.solarus-games.org/games/zelda-mystery-of-solarus-dx/
Source:         %{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  hicolor-icon-theme
BuildRequires:  zip
Requires:       solarus >= 1.6
BuildArch:      noarch

%description
The Legend of Zelda: Mystery of Solarus DX is set to be a
direct sequel to The Legend of Zelda: A Link to the Past
on the SNES, using the same graphics and game mechanisms.
Zelda Mystery of Solarus DX is the first game made with
the Solarus engine and in fact, Solarus was primarily
designed for this game.

%prep
%setup -q

# Touch files to ensure zip will produce a deterministic output
# See https://reproducible-builds.org/docs/archives/
if [ -n "$SOURCE_DATE_EPOCH" ]; then
    find data -print0 | 
        xargs -0r touch --no-dereference --date="@${SOURCE_DATE_EPOCH}"
fi

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc readme.md changelog.md
%license license.txt
%{_bindir}/zsdx
%dir %{_datadir}/solarus/
%dir %{_datadir}/solarus/zsdx
%{_datadir}/solarus/zsdx/data.solarus
%{_datadir}/applications/zsdx.desktop
%{_datadir}/icons/hicolor/*/apps/zsdx.png
%{_datadir}/pixmaps/zsdx.png
# Own these directories because hicolor-icon-theme doesn't provide such
# a resolution: 1024x1024
%dir %{_datadir}/icons/hicolor/1024x1024
%dir %{_datadir}/icons/hicolor/1024x1024/apps

%changelog
* Tue Apr  6 2021 antoine.belvire@opensuse.org
- Update to version 1.12.3:
  * Add Brazilian Portuguese translation
    (gl#solarus-games/zsdx#140).
* Fri Aug 16 2019 antoine.belvire@opensuse.org
- Update to version 1.12.2:
  * Workaround broken square scrolling teletransporters in 1.6.1
* Sat Aug 10 2019 antoine.belvire@opensuse.org
- Update to version 1.12.1:
  * Fix deprecated function calls since Solarus 1.6.
  * Fix German translation mistakes.
  * Optimize images.
  * Fix typo in English text.
  * Add .desktop file to source package.
* Sat Dec 22 2018 antoine.belvire@opensuse.org
- Update to version 1.12.0:
  * Upgrade to Solarus 1.6.
  * Add the Solarus team logo.
  * Change the sound of the Solarus logo.
  * Fix typos in French dialogs.
  * Add a .desktop file.
- Remove upstreamed patches:
  * zsdx-1.11.0-dont-require-cpp-compiler.patch.
  * zsdx-1.11.0-reproducible-build.patch.
- Add _service file to retrieve archive more easily (project has
  moved from github to gitlab).
- Drop hack in %%post to add quest to solarus laucher.
- Update "License:" field as per upstream's license.txt.
* Wed Apr  4 2018 antoine.belvire@opensuse.org
- Make build reproducible:
  * Add zsdx-1.11.0-reproducible-build.patch: Sort data files list
    before zipping.
  * Touch data files in order to have timestamps such as zip
    produces a deterministic output.
- Drop useless C++ compiler requirement:
  * Add zsdx-1.11.0-dont-require-cpp-compiler.patch: Set NONE as
    supported language to prevent CMake from checking default
    languages (C, C++).
- Add quest to solarus launcher in %%post.
- Use %%license instead of %%doc for license file (boo#1082318).
- Clean with spec-cleaner.
* Mon Aug 14 2017 aloisio@gmx.com
- Update to version 1.11.0
  * Upgrade to Solarus 1.5.
  * Fix wrong layer when leaving dungeon 10.
  * Dungeon 2: Fix sound played twice when activating the statues.
  * Dungeon 9: fix geting back to room entrance when touching
    spikes.
  * English dialogs: rename Pegasus Shoes to Pegasus Boots.
* Sun May 15 2016 mailaender@opensuse.org
- clarify license and package documentation
* Sun May 15 2016 rpm@fthiessen.de
- Updated to 1.10.3
* Mon Nov 23 2015 flamesworld@gmail.com
- Updated to 1.10.2
* Wed Jul  2 2014 mailaender@opensuse.org
- initial packaging
